::-webkit-scrollbar-track:vertical {
    background: #666666;
    border-radius: 1px;
}

::-webkit-scrollbar-thumb:vertical {
    background-color: #3a3837;
    border-top-right-radius: 14px;
    border-bottom-right-radius: 14px;
    border: 3px solid #3a3837;
}





#overlay {
    background: rgba(0,0,0,0.9);
    width: 100vw;
    height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 1000;

    backdrop-filter: blur(10px);
    overflow: hidden;

    /*display: block;

     */
    opacity: 1;
}

.report-page-button {
    border: 1px solid rgba(255, 255, 255, 0.35);
    padding: 0.6rem;
    margin: 0.5rem;
    transition: all 300ms;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;

    opacity: 0;
    transform: translateY(-1rem);

    animation: buttonInit 1.5s forwards;
    animation-delay: var(--delay);
    padding-left: 1rem;
}

.report-page-button:hover {
    border-color: rgb(90, 196, 230);
}

.report-page-button:active {
    border-color: rgb(90, 196, 230);
    padding-left: 1.5rem;

    background:
            linear-gradient(
                    90deg,
                    rgba(90,196,230,.35) 0%,
                    rgba(90,196,230,.15) 60%,
                    transparent 100%
            );

    box-shadow: inset 3px 0 0 rgb(90,196,230);
}

.report-page-button.active {
    border-color: rgb(90, 196, 230);

    background:
            linear-gradient(
                    90deg,
                    rgba(90,196,230,.12) 0%,
                    rgba(90,196,230,.04) 40%,
                    transparent 100%
            );

    box-shadow: inset 3px 0 0 rgb(90,196,230);
}

@keyframes buttonInit {
    0% {
        opacity: 0;
        transform: translateY(-1rem);
    }

    100% {
        opacity: 1;
        transform: translateY(0rem);
    }

}


#reportContainer {
    background: #000 !important;
}

iframe {
    background: #000 !important;
}






/*     */
.border-draw {
    position: relative;
    overflow: hidden;
    border-radius: 0.5rem;
}

/* obsah nad animací */
.border-draw > * {
    position: relative;
    z-index: 2;
}


/* výplň pozadí */
.border-draw::before {
    content: "";
    position: absolute;
    inset: 0;

    background: #4338ca;
    border-radius: inherit;

    opacity: 0;
    z-index: 0;
    pointer-events: none;
}


/* pomocný span pro border */
.border-draw-lines {
    position: absolute;
    inset: 0;

    z-index: 1;
    pointer-events: none;

    border-radius: inherit;
}


/* levý horní roh */
.border-draw-lines::before {
    content: "";
    position: absolute;

    top: 0;
    left: 0;

    width: 0;
    height: 0;

    border-top: 2px solid #4338ca;
    border-left: 2px solid #4338ca;

    border-radius: inherit;

    opacity: 0;
}


/* pravý spodní roh */
.border-draw-lines::after {
    content: "";
    position: absolute;

    right: 0;
    bottom: 0;

    width: 0;
    height: 0;

    border-right: 2px solid #4338ca;
    border-bottom: 2px solid #4338ca;

    border-radius: inherit;

    opacity: 0;
}


/* kreslení */
.border-draw:hover .border-draw-lines::before,
.border-draw:hover .border-draw-lines::after {
    animation: border-draw 0.6s ease-out forwards;
}


/* výplň začne až po borderu */
.border-draw:hover::before {
    animation: background-fill 0.3s ease 0.6s forwards;
}


@keyframes border-draw {
    0% {
        width: 0;
        height: 0;
        opacity: 1;
    }

    50% {
        width: 100%;
        height: 0;
        opacity: 1;
    }

    100% {
        width: 100%;
        height: 100%;
        opacity: 1;
    }
}


@keyframes background-fill {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}